org.eclipse.viatra.dse.base

## Enum DseIdPoolHelper

- java.lang.Object
- - java.lang.Enum<DseIdPoolHelper>
  - - org.eclipse.viatra.dse.base.DseIdPoolHelper

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DseIdPoolHelper>

      public enum DseIdPoolHelper
      extends java.lang.Enum<DseIdPoolHelper>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DseIdPoolHelper.IdProvider`
    `static interface` | `DseIdPoolHelper.IGetRuleExecutions`

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INSTANCE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `disposeByThread()`
    `int` | `getId(BatchTransformationRule<?,?> rule)`
    `void` | `registerRules(DseIdPoolHelper.IGetRuleExecutions getRuleExecutions, java.util.Collection<BatchTransformationRule<?,?>> rules)`
    `static DseIdPoolHelper` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DseIdPoolHelper[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INSTANCE

          public static final DseIdPoolHelper INSTANCE

  - ### Method Detail

    - #### values

          public static DseIdPoolHelper[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DseIdPoolHelper c : DseIdPoolHelper.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DseIdPoolHelper valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getId

          public int getId(BatchTransformationRule<?,?> rule)

    - #### registerRules

          public void registerRules(DseIdPoolHelper.IGetRuleExecutions getRuleExecutions,
                                    java.util.Collection<BatchTransformationRule<?,?>> rules)

    - #### disposeByThread

          public void disposeByThread()